# Uses of Interface
org.astrogrid.samp.web.CredentialPresenter.Presentation

Packages that use CredentialPresenter.Presentation
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of CredentialPresenter.Presentation in org.astrogrid.samp.web

Methods in org.astrogrid.samp.web that return CredentialPresenter.Presentation
Modifier and Type
Method
Description
`CredentialPresenter.Presentation`
CredentialPresenter.`createPresentation(HttpServer.Request request, Map securityMap, AuthResourceBundle.Content authContent)`
Returns an object which contains user-directed credential messages, given available information from the registration request.
`CredentialPresenter.Presentation`
WebCredentialPresenter.`createPresentation(HttpServer.Request request, Map securityMap, AuthResourceBundle.Content authContent)`